For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Create knowledge item

POST
https://app.resemble.ai/api/v2/knowledge_items
POST
/api/v2/knowledge_items
$curl -X POST https://app.resemble.ai/api/v2/knowledge_items \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "string",
> "description": "string",
> "source_type": "document"
>}'
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Creates a new knowledge item and queues it for ingestion processing
Was this page helpful?
Previous

Get knowledge item

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
titlestringRequired<=50 characters
Title of the knowledge item
descriptionstringRequired<=200 characters
Description of the knowledge item
source_typeenumRequired
Type of knowledge source
Allowed values:
urlstringOptional

Required when source_type is url

raw_textstringOptional<=10000 characters

Required when source_type is text

Response

Knowledge item created successfully
successboolean
itemobject
messagestring

Errors

422
Unprocessable Entity Error